#ifndef XPHYSMASS_H
#define XPHYSMASS_H

#include "xasset.h"

#include <QVector3D>

class XPhysMass : public XAsset
{
public:
    XPhysMass();
    ~XPhysMass();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector3D mCenterOfMass;
    QVector3D mMomentsOfInertia;
    QVector3D mProductsOfInertia;
};

#endif // XPHYSMASS_H
